% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/line_via.R
\name{mats2line}
\alias{mats2line}
\title{Convert 2 matrices to lines}
\usage{
mats2line(mat1, mat2, crs = NA)
}
\arguments{
\item{mat1}{Matrix representing origins}

\item{mat2}{Matrix representing destinations}

\item{crs}{Number representing the coordinate system of the data, e.g. 4326}
}
\description{
Convert 2 matrices to lines
}
\examples{
m1 <- matrix(c(1, 2, 1, 2), ncol = 2)
m2 <- matrix(c(9, 9, 9, 1), ncol = 2)
l <- mats2line(m1, m2)
class(l)
l
lsf <- sf::st_sf(l, crs = 4326)
class(lsf)
plot(lsf)
# mapview::mapview(lsf)
}
\seealso{
Other lines: 
\code{\link{angle_diff}()},
\code{\link{geo_toptail}()},
\code{\link{is_linepoint}()},
\code{\link{line2df}()},
\code{\link{line2points}()},
\code{\link{line_bearing}()},
\code{\link{line_breakup}()},
\code{\link{line_midpoint}()},
\code{\link{line_segment}()},
\code{\link{line_segment1}()},
\code{\link{line_via}()},
\code{\link{n_segments}()},
\code{\link{n_vertices}()},
\code{\link{onewaygeo}()},
\code{\link{points2line}()},
\code{\link{toptail_buff}()}
}
\concept{lines}
